Bug 56016 - RedHat 7.2 Upgrader doesn't recognize my ReiserFS partitions
RedHat 7.2 Upgrader doesn't recognize my ReiserFS partitions
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-10 16:03 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-11 23:26:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-10 16:03:57 EST
Description of Problem:
RedHat 7.2 Upgrader doesn't recognize my ReiserFS partitions.  When I tell
the installation that I'm going to upgrade an existing system, it searches
my disk for the existing installation.  It then tells me that it cannot
mount the partitions in /etc/fstab.  My entire system is ReiserFS, aside
from / which is ext2.

Version-Release number of selected component (if applicable):


How Reproducible:
Every time

Steps to Reproduce:
1. Boot from the RH 7.2 CDROM
2. Press the Enter button
3. Navigate to the point where you select Install or Upgrade
4. Select "Upgrade"

Actual Results:
The installer tried to mount my existing partitions, but it couldn't. 
Therefore, I could not upgrade my system.

Expected Results:
I expect the upgrader to support whatever filesystems are part of the
official kernel, and to be able to mount my existing partitions.  It's
silly that you would not at least include the module, since it is a popular
and stable Linux file system.


Additional Information:
Comment 1 Brent Fox 2001-11-11 23:25:55 EST
The 7.2 installer should be able to upgrade ReiserFS partitions.  I don't know
why it didn't work for you.  Can you attach your /etc/fstab file and the output
of 'fdisk -l /dev/hda'?
Comment 2 Brent Fox 2001-12-08 12:31:31 EST
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.